const colors = [
  '#FBB65B',
  '#FBCF3B',
  '#de3163',
  '#4A79A4',
];

const data = [
  {
    day: 1,
    apricots: 100,
    bananas: 140,
    cherries: 105,
    damsons: 80,
  },
  {
    day: 2,
    apricots: 110,
    bananas: 150,
    cherries: 105,
    damsons: 40,
  },
  {
    day: 3,
    apricots: 130,
    bananas: 160,
    cherries: 115,
    damsons: 50,
  },
  {
    day: 4,
    apricots: 110,
    bananas: 200,
    cherries: 110,
    damsons: 90,
  },
  {
    day: 5,
    apricots: 100,
    bananas: 220,
    cherries: 105,
    damsons: 120,
  },
  {
    day: 6,
    apricots: 120,
    bananas: 240,
    cherries: 105,
    damsons: 150,
  },
  {
    day: 7,
    apricots: 80,
    bananas: 230,
    cherries: 105,
    damsons: 150,
  },
  {
    day: 8,
    apricots: 100,
    bananas: 215,
    cherries: 110,
    damsons: 100,
  },
  {
    day: 9,
    apricots: 60,
    bananas: 185,
    cherries: 105,
    damsons: 150,
  },
  {
    day: 10,
    apricots: 120,
    bananas: 180,
    cherries: 130,
    damsons: 150,
  },
];

const stack = d3
  .stack()
  .keys([
    'apricots',
    'bananas',
    'cherries',
    'damsons',
  ])
  .order(d3.stackOrderInsideOut)
  .offset(d3.stackOffsetWiggle);

const yScale = d3
  .scaleLinear()
  .domain([0, 800])
  .range([200, 0]);

const areaGenerator = d3
  .area()
  .x((d, i) => i * 50)
  .y0((d) => yScale(d[0]))
  .y1((d) => yScale(d[1]))
  .curve(d3.curveCatmullRom);

const stackedSeries = stack(data);

d3.select('g')
  .selectAll('path')
  .data(stackedSeries)
  .join('path')
  .style('fill', (d, i) => colors[i])
  .attr('d', areaGenerator);
